#!/usr/bin/env Rscript      
#source("~/git/Misc/shiny/myshiny/gid_data.R")

source("~/git/LSHTM_analysis/config/gid.R")
source("~/git/LSHTM_analysis/scripts/plotting/get_plotting_dfs.R")
source("~/git/LSHTM_analysis/scripts/functions/bp_subcolours.R")

# p1
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "duet_scaled"
                  , stability_outcome_colname = "duet_outcome"
                  , p_title = "DUET" )

# p2
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "foldx_scaled"
                  , stability_outcome_colname = "foldx_outcome"
                  , p_title = "FoldX" )

# p3
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "deepddg_scaled"
                  , stability_outcome_colname = "deepddg_outcome"
                  , p_title = "DeepDDG" )

# p4
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "ddg_dynamut2_scaled"
                  , stability_outcome_colname = "ddg_dynamut2_outcome"
                  , p_title = "Dynamut2" )

# p5
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "mcsm_na_scaled"
                  , stability_outcome_colname = "mcsm_na_outcome"
                  , p_title = "mCSM-NA" )

# p6
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "ddg_dynamut_scaled"
                  , stability_outcome_colname = "ddg_dynamut_outcome"
                  , p_title = "Dynamut" )

# p7
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "ddg_mcsm_scaled"
                  , stability_outcome_colname = "ddg_mcsm_outcome"
                  , p_title = "mCSM" )

# p8
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "ddg_duet_scaled"
                  , stability_outcome_colname = "ddg_duet_outcome"
                  , p_title = "DUET-d" )

# p9
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "ddg_sdm_scaled"
                  , stability_outcome_colname = "ddg_sdm_outcome"
                  , p_title = "SDM" )

# p10
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "ddg_encom_scaled"
                  , stability_outcome_colname = "ddg_encom_outcome"
                  , p_title = "ENCoM-Stability" )

# p11
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "dds_encom_scaled"
                  , stability_outcome_colname = "dds_encom_outcome"
                  , p_title = "ENCoM-Flexibility" )

# p12
bp_stability_hmap(plotdf =  merged_df3
                  , stability_colname = "affinity_scaled"
                  , stability_outcome_colname = "ligand_outcome"
                  , p_title = "mCSM-lig" )
